Bug 176734 - [maintainer] [patch] mail/milter-greylist: update to latest version
Summary: [maintainer] [patch] mail/milter-greylist: update to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-07 19:00 UTC by m.tsatsenko
Modified: 2013-03-16 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (4.30 KB, patch)
2013-03-07 19:00 UTC, m.tsatsenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.tsatsenko 2013-03-07 19:00:00 UTC
- Update the port to 4.4.1
- Convert to OptionsNG
- Use new Makefile header format

Also upstream does not have -devel version of the software anymore, so perhaps we should set our mail/milter-greylist port IGNORE or just remove it? Need advice.

Fix: see the patch attached

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-07 19:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2013-03-16 21:53:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-03-16 21:53:48 UTC
Author: swills
Date: Sat Mar 16 21:53:35 2013
New Revision: 314387
URL: http://svnweb.freebsd.org/changeset/ports/314387

Log:
  - Update the port to 4.4.1
  - Convert to OptionsNG
  - Use new Makefile header format
  
  PR:		ports/176734
  Submitted by:	"Mikhail T." <m.tsatsenko@gmail.com> (maintainer)

Modified:
  head/mail/milter-greylist/Makefile   (contents, props changed)
  head/mail/milter-greylist/distinfo   (contents, props changed)
  head/mail/milter-greylist/files/patch-configure   (contents, props changed)

Modified: head/mail/milter-greylist/Makefile
==============================================================================
--- head/mail/milter-greylist/Makefile	Sat Mar 16 21:33:02 2013	(r314386)
+++ head/mail/milter-greylist/Makefile	Sat Mar 16 21:53:35 2013	(r314387)
@@ -1,15 +1,11 @@
-# New ports collection makefile for:	milter-greylist
-# Date created:				27 Apr 2004
-# Whom:					Cyril Guibourg
-#
+# Created by: Cyril Guibourg
 # $FreeBSD$
 #
 
 PORTNAME=	milter-greylist
-PORTVERSION=	4.2.7
+PORTVERSION=	4.4.1
 CATEGORIES=	mail
 MASTER_SITES=	ftp://ftp.espci.fr/pub/milter-greylist/
-DISTNAME=	milter-greylist-${PORTVERSION}
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	m.tsatsenko@gmail.com
@@ -18,15 +14,7 @@ COMMENT=	Easy-to-use greylist milter for
 CONFLICTS=	milter-greylist-devel-[1-9]*.*
 PKGMESSAGE=	${WRKDIR}/pkg-message
 
-OPTIONS=	MANPAGES "Install manpages" on\
-		LIBSPF2 "Include SPF support" off\
-		GEOIP "Include GeoIP support" off\
-		CURL "Include curl support" off\
-		OPENLDAP "Include OpenLDAP support" off\
-		P0F "Include P0F support" off\
-		POSTFIX "Use Postfix instead of Sendmail" off
-
-.include <bsd.port.pre.mk>
+MAKE_JOBS_UNSAFE=	yes
 
 ##
 # Use the following quirks to choose which sendmail to use (ports or system):
@@ -39,35 +27,42 @@ OPTIONS=	MANPAGES "Install manpages" on\
 # installed port preference over it.
 ##
 
-.if defined (WITH_MANPAGES)
+OPTIONS_DEFINE=	SPF GEOIP CURL OPENLDAP P0F POSTFIX
+OPTIONS_DEFAULT=	MANPAGES
+MANPAGES_DESC=	Install manpages
+SPF_DESC=	Include SPF support
+GEOIP_DESC=	Include GeoIP support
+OPENLDAP_DESC=	Include OpenLDAP support
+P0F_DESC=	Include P0F support
+POSTFIX_DESC=	Use Postfix instead of Sendmail
+
+.include <bsd.port.pre.mk>
+
+.if ${PORT_OPTIONS:MMANPAGES}
 MAN5=		greylist.conf.5
 MAN8=		milter-greylist.8
 .endif
-
-##
-# If you have a reentrant resolver (starting with RELENG_5_2) you can use SPF
-##
-.if defined(WITH_LIBSPF2)
+.if ${PORT_OPTIONS:MSPF}
 BUILD_DEPENDS+=	libspf2>=1.2.5:${PORTSDIR}/mail/libspf2
 CONFIGURE_ARGS+=	--with-libspf2=${LOCALBASE}
 .endif
-.if defined(WITH_GEOIP)
+.if ${PORT_OPTIONS:MGEOIP}
 BUILD_DEPENDS+=	GeoIP>=1.4.4:${PORTSDIR}/net/GeoIP
 CONFIGURE_ARGS+=	--with-libGeoIP=${LOCALBASE}
 .endif
-.if defined(WITH_CURL)
+.if ${PORT_OPTIONS:MCURL}
 BUILD_DEPENDS+=	curl>=7.18:${PORTSDIR}/ftp/curl
 CONFIGURE_ARGS+=	--with-libcurl=${LOCALBASE}
 .endif
-.if defined(WITH_OPENLDAP)
+.if ${PORT_OPTIONS:MOPENLDAP}
 USE_OPENLDAP=yes
 CONFIGURE_ARGS+=	--with-openldap
 .endif
-.if defined(WITH_P0F)
+.if ${PORT_OPTIONS:MP0F}
 RUN_DEPENDS+=	p0f:${PORTSDIR}/net-mgmt/p0f
 CONFIGURE_ARGS+=	--enable-p0f
 .endif
-.if defined(WITH_POSTFIX)
+.if ${PORT_OPTIONS:MPOSTFIX}
 CONFIGURE_ARGS+=	--enable-postfix
 .else
 LDFLAGS+=	${SENDMAIL_LDFLAGS}
@@ -101,7 +96,7 @@ do-install:
 post-install:
 	@${MKDIR} /var/milter-greylist
 	@${CHOWN} -R mailnull:mailnull /var/milter-greylist
-.if !defined(NOPORTDOCS)
+.if !${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
 .endif

Modified: head/mail/milter-greylist/distinfo
==============================================================================
--- head/mail/milter-greylist/distinfo	Sat Mar 16 21:33:02 2013	(r314386)
+++ head/mail/milter-greylist/distinfo	Sat Mar 16 21:53:35 2013	(r314387)
@@ -1,2 +1,2 @@
-SHA256 (milter-greylist-4.2.7.tgz) = 41e6cc88dcccb8e1993a58235111b34de26dcb071fa59e85b877ecb869950787
-SIZE (milter-greylist-4.2.7.tgz) = 213919
+SHA256 (milter-greylist-4.4.1.tgz) = 5400a71e0b01d3f6915638dcd96c57c6fa3bbbc2fb16fcc8eda715ae83a4ad8c
+SIZE (milter-greylist-4.4.1.tgz) = 229401

Modified: head/mail/milter-greylist/files/patch-configure
==============================================================================
--- head/mail/milter-greylist/files/patch-configure	Sat Mar 16 21:33:02 2013	(r314386)
+++ head/mail/milter-greylist/files/patch-configure	Sat Mar 16 21:53:35 2013	(r314387)
@@ -9,20 +9,3 @@
  else
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for pthread_create in -lc_r" >&5
  $as_echo_n "checking for pthread_create in -lc_r... " >&6; }
-@@ -5484,13 +5484,13 @@
- if test "${with_libdkim+set}" = set; then :
-   withval=$with_libdkim; LDFLAGS=$LDFLAGS" -L$withval/lib -Wl,$rpath$withval/lib"
- 	    CFLAGS=$CFLAGS" -I$withval/include"
--	    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dkim_init in -ldkim -lsm -lcrypto" >&5
--$as_echo_n "checking for dkim_init in -ldkim -lsm -lcrypto... " >&6; }
-+	    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dkim_init in -ldkim -lcrypto" >&5
-+$as_echo_n "checking for dkim_init in -ldkim -lcrypto... " >&6; }
- if test "${ac_cv_lib_dkim__lsm__lcrypto_dkim_init+set}" = set; then :
-   $as_echo_n "(cached) " >&6
- else
-   ac_check_lib_save_LIBS=$LIBS
--LIBS="-ldkim -lsm -lcrypto  $LIBS"
-+LIBS="-ldkim -lcrypto  $LIBS"
- cat confdefs.h - <<_ACEOF >conftest.$ac_ext
- /* end confdefs.h.  */
- 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"